std::__profile::bitset< _Nb > Class Template Reference

`#include <bitset>`

Inherits bitset< _Nb >.

## Public Member Functions

| bitset (const _Base &__x)
template<typename _CharT >
| bitset (const _CharT *__str, typename std::basic_string< _CharT >::size_type __n=std::basic_string< _CharT >::npos, _CharT __zero=_CharT('0'), _CharT __one=_CharT('1'))
template<class _CharT , class _Traits , class _Alloc >
| bitset (const std::basic_string< _CharT, _Traits, _Alloc > &__str, typename std::basic_string< _CharT, _Traits, _Alloc >::size_type __pos, typename std::basic_string< _CharT, _Traits, _Alloc >::size_type __n, _CharT __zero, _CharT __one=_CharT('1'))
template<typename _CharT , typename _Traits , typename _Alloc >
| bitset (const std::basic_string< _CharT, _Traits, _Alloc > &__str, typename std::basic_string< _CharT, _Traits, _Alloc >::size_type __pos=0, typename std::basic_string< _CharT, _Traits, _Alloc >::size_type __n=(std::basic_string< _CharT, _Traits, _Alloc >::npos))
constexpr | bitset (unsigned long long __val) noexcept
const _Base & | _M_base () const noexcept
_Base & | _M_base () noexcept
bitset< _Nb > & | flip () noexcept
bitset< _Nb > & | flip (size_t __pos)
bool | operator!= (const bitset< _Nb > &__rhs) const noexcept
bitset< _Nb > & | operator&= (const bitset< _Nb > &__rhs) noexcept
bitset< _Nb > | operator<< (size_t __pos) const noexcept
bitset< _Nb > & | operator<<= (size_t __pos) noexcept
bool | operator== (const bitset< _Nb > &__rhs) const noexcept
bitset< _Nb > | operator>> (size_t __pos) const noexcept
bitset< _Nb > & | operator>>= (size_t __pos) noexcept
bitset< _Nb > & | operator^= (const bitset< _Nb > &__rhs) noexcept
bitset< _Nb > & | operator|= (const bitset< _Nb > &__rhs) noexcept
bitset< _Nb > | operator~ () const noexcept
bitset< _Nb > & | reset () noexcept
bitset< _Nb > & | reset (size_t __pos)
bitset< _Nb > & | set () noexcept
bitset< _Nb > & | set (size_t __pos, bool __val=true)

## Detailed Description

template<size_t _Nb>
class std::__profile::bitset< _Nb >

Class std::bitset wrapper with performance instrumentation, none at the moment.

Definition at line 41 of file profile/bitset.

## Constructor & Destructor Documentation

## bitset() [1/5]

template<size_t _Nb>

constexpr std::__profile::bitset< _Nb >::bitset | ( | unsigned long long | __val | ) |

inline constexpr noexcept

Definition at line 56 of file profile/bitset.

## bitset() [2/5]

template<size_t _Nb>
template<typename _CharT , typename _Traits , typename _Alloc >

std::__profile::bitset< _Nb >::bitset | ( | const std::basic_string< _CharT, _Traits, _Alloc > & | __str,
|  | typename std::basic_string< _CharT, _Traits, _Alloc >::size_type | __pos = `0`,
|  | typename std::basic_string< _CharT, _Traits, _Alloc >::size_type | __n = `(std::basic_string<_CharT, _Traits, _Alloc>::npos)`
| ) |  |

inline explicit

Definition at line 64 of file profile/bitset.

## bitset() [3/5]

template<size_t _Nb>
template<class _CharT , class _Traits , class _Alloc >

std::__profile::bitset< _Nb >::bitset | ( | const std::basic_string< _CharT, _Traits, _Alloc > & | __str,
|  | typename std::basic_string< _CharT, _Traits, _Alloc >::size_type | __pos,
|  | typename std::basic_string< _CharT, _Traits, _Alloc >::size_type | __n,
|  | _CharT | __zero,
|  | _CharT | __one = `_CharT('1')`
| ) |  |

inline

Definition at line 74 of file profile/bitset.

## bitset() [4/5]

template<size_t _Nb>

std::__profile::bitset< _Nb >::bitset | ( | const _Base & | __x | ) |

inline

Definition at line 82 of file profile/bitset.

## bitset() [5/5]

template<size_t _Nb>
template<typename _CharT >

std::__profile::bitset< _Nb >::bitset | ( | const _CharT * | __str,
|  | typename std::basic_string< _CharT >::size_type | __n = `std::basic_string<_CharT>::npos`,
|  | _CharT | __zero = `_CharT('0')`,
|  | _CharT | __one = `_CharT('1')`
| ) |  |

inline explicit

Definition at line 87 of file profile/bitset.

## Member Function Documentation

## _M_base() [1/2]

template<size_t _Nb>

const _Base & std::__profile::bitset< _Nb >::_M_base | ( |  | ) | const

inline noexcept

Definition at line 199 of file profile/bitset.

## _M_base() [2/2]

template<size_t _Nb>

_Base & std::__profile::bitset< _Nb >::_M_base | ( |  | ) |

inline noexcept

Definition at line 195 of file profile/bitset.

## flip() [1/2]

template<size_t _Nb>

bitset< _Nb > & std::__profile::bitset< _Nb >::flip | ( |  | ) |

inline noexcept

Definition at line 165 of file profile/bitset.

## flip() [2/2]

template<size_t _Nb>

bitset< _Nb > & std::__profile::bitset< _Nb >::flip | ( | size_t | __pos | ) |

inline

Definition at line 172 of file profile/bitset.

## operator!=()

template<size_t _Nb>

bool std::__profile::bitset< _Nb >::operator!= | ( | const bitset< _Nb > & | __rhs | ) | const

inline noexcept

Definition at line 183 of file profile/bitset.

## operator&=()

template<size_t _Nb>

bitset< _Nb > & std::__profile::bitset< _Nb >::operator&= | ( | const bitset< _Nb > & | __rhs | ) |

inline noexcept

Definition at line 96 of file profile/bitset.

## operator<<()

template<size_t _Nb>

bitset< _Nb > std::__profile::bitset< _Nb >::operator<< | ( | size_t | __pos | ) | const

inline noexcept

Definition at line 183 of file profile/bitset.

## operator<<=()

template<size_t _Nb>

bitset< _Nb > & std::__profile::bitset< _Nb >::operator<<= | ( | size_t | __pos | ) |

inline noexcept

Definition at line 110 of file profile/bitset.

## operator==()

template<size_t _Nb>

bool std::__profile::bitset< _Nb >::operator== | ( | const bitset< _Nb > & | __rhs | ) | const

inline noexcept

Definition at line 179 of file profile/bitset.

## operator>>()

template<size_t _Nb>

bitset< _Nb > std::__profile::bitset< _Nb >::operator>> | ( | size_t | __pos | ) | const

inline noexcept

Definition at line 191 of file profile/bitset.

## operator>>=()

template<size_t _Nb>

bitset< _Nb > & std::__profile::bitset< _Nb >::operator>>= | ( | size_t | __pos | ) |

inline noexcept

Definition at line 124 of file profile/bitset.

## operator^=()

template<size_t _Nb>

bitset< _Nb > & std::__profile::bitset< _Nb >::operator^= | ( | const bitset< _Nb > & | __rhs | ) |

inline noexcept

Definition at line 110 of file profile/bitset.

## operator|=()

template<size_t _Nb>

bitset< _Nb > & std::__profile::bitset< _Nb >::operator|= | ( | const bitset< _Nb > & | __rhs | ) |

inline noexcept

Definition at line 103 of file profile/bitset.

## operator~()

template<size_t _Nb>

bitset< _Nb > std::__profile::bitset< _Nb >::operator~ | ( |  | ) | const

inline noexcept

Definition at line 161 of file profile/bitset.

## reset() [1/2]

template<size_t _Nb>

bitset< _Nb > & std::__profile::bitset< _Nb >::reset | ( |  | ) |

inline noexcept

Definition at line 147 of file profile/bitset.

## reset() [2/2]

template<size_t _Nb>

bitset< _Nb > & std::__profile::bitset< _Nb >::reset | ( | size_t | __pos | ) |

inline

Definition at line 154 of file profile/bitset.

## set() [1/2]

template<size_t _Nb>

bitset< _Nb > & std::__profile::bitset< _Nb >::set | ( |  | ) |

inline noexcept

Definition at line 131 of file profile/bitset.

## set() [2/2]

template<size_t _Nb>

bitset< _Nb > & std::__profile::bitset< _Nb >::set | ( | size_t | __pos,
|  | bool | __val = `true`
| ) |  |

inline

Definition at line 140 of file profile/bitset.

The documentation for this class was generated from the following file:

- profile/bitset